summaryrefslogtreecommitdiffstats
path: root/tests/copycooker.sh
diff options
context:
space:
mode:
authorMichael Niedermayer <michaelni@gmx.at>2010-03-02 16:57:20 +0000
committerMichael Niedermayer <michaelni@gmx.at>2010-03-02 16:57:20 +0000
commit88b83cac2436ed5afdaa42a46a1bf8f8915505b8 (patch)
tree07f7658a5f9b195e196bba3b19cc6733852c62ec /tests/copycooker.sh
parentd41f1fa6443226f14d479db55c645056ff2076d2 (diff)
downloadffmpeg-streaming-88b83cac2436ed5afdaa42a46a1bf8f8915505b8.zip
ffmpeg-streaming-88b83cac2436ed5afdaa42a46a1bf8f8915505b8.tar.gz
Codec copy test.
Originally committed as revision 22148 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/copycooker.sh')
-rwxr-xr-xtests/copycooker.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/copycooker.sh b/tests/copycooker.sh
new file mode 100755
index 0000000..6694332
--- /dev/null
+++ b/tests/copycooker.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+LC_ALL=C
+export LC_ALL
+
+datadir="tests/data"
+
+logfile="$datadir/copy.regression"
+reffile="$1"
+
+list=$(grep -oh ' ./tests/data/.*' tests/ref/*/* "$reffile")
+rm -f $logfile
+for i in $list ; do
+ echo ---------------- >> $logfile
+ echo $i >> $logfile
+ ./ffmpeg_g -flags +bitexact -i $i -acodec copy -vcodec copy -y first.nut
+ ./ffmpeg_g -flags +bitexact -i first.nut -acodec copy -vcodec copy -y second.nut
+ cmp first.nut second.nut >> $logfile
+ md5sum first.nut >> $logfile
+done
+
+if diff -u -w "$reffile" "$logfile" ; then
+ echo
+ echo copy regression test: success
+ exit 0
+else
+ echo
+ echo copy regression test: error
+ exit 1
+fi
OpenPOWER on IntegriCloud